#!/bin/bash
# -------- Build iveth servers and app - Jurek_2019-09-27 Version 2 --------
# this file: 2-giveth-build-1st-time-V2.sh
#
# Tested on Ubuntu 18.04 2019-09-25.
# Before this script, run first: 1-giveth-build-1st-time-prerequisites-V1.sh 
#
# Open terminal and make the script executable e.g: chmod 755 ./2-giveth-build-1st-time.sh
# execute script ./2-giveth-build-1st-time.sh
#
# Repo download:
#
# Download all the repos to your repo root directory:
# repos:
#   repo/dapp-mailer
#   repo/feathers-giveth
#   repo/giveth-dapp
#
# My repo directory is /media/veracrypt1/repo. Change to fit your installation.
#
# Now goes the bash script to execute:
# ----------------------------------------------------------------------------
export repo=/media/veracrypt1/repo

#------------- dapp-mailer
gnome-terminal --tab --title="build dapp-mailer" -- bash -c "cd $repo/dapp-mailer && yarn install ; exec bash"

cd $repo/dapp-mailer
cp config/default.json config/development.json 
# set yourself as mailgun user on https://app.mailgun.com/
# change user/pass in config/development.json
# restart dapp-mailer for change to take efect.
yarn install

#------------- feathers-giveth
# This will remove mongo db for a fresh start (e.g. first time)

gnome-terminal --tab --title="build feathers" -- bash -c "cd $repo/feathers-giveth && echo yes | yarn deploy-local; exec bash"

#-------------- giveth-dapp
gnome-terminal --tab --title="build dapp" -- bash -c "cd $repo/giveth-dapp && npm install; exec bash"

# if you do not get any error, you are done. Use giveth-start.sh to start apps.
# -----------------------------------------------------------------------------
#
# -- Metamask in Chrome -- to be scripted... -----------
# Instal Metamask extension on chrome.
# Create walet in MetaMask extension (chrome).
# Import accounts keys as per video giveth-dapp/keys.
# Connect to Foreign network at 8546 .
# feathers ports 8546 8545.
#
# Have fun now.


